
#include "Jeu.h"


void jeuInit(Jeu& j)
{
	pacInit(j.pac);
	terInit(j.ter);
}

Terrain& jeuGetTerrain(Jeu& j)
{
	return j.ter;
}

Pacman& jeuGetPacman(Jeu& j)
{
	return j.pac;
}

const Terrain& jeuGetConstTerrain(const Jeu& j)
{
	return j.ter;
}

const Pacman& jeuGetConstPacman(const Jeu& j)
{
	return j.pac;
}


void jeuActionClavier(Jeu& j, const char touche)
{
	switch(touche)
	{
		case 'g' : 
				pacGauche(j.pac, j.ter);
				break;
		case 'd' :
				pacDroite(j.pac, j.ter);
				break;
		case 'h' :
				pacHaut(j.pac, j.ter);
				break;
		case 'b' : 
				pacBas(j.pac, j.ter);
				break;
	}
}
