
#include "Pacman.h"


void pacInit(Pacman& p)
{
	p.x=p.y=0;
}	

void pacGauche(Pacman& p, const Terrain& t)
{
	if (terEstPositionPersoValide( t, p.x-1, p.y)) p.x--;
}

void pacDroite(Pacman& p, const Terrain& t)
{
	if (terEstPositionPersoValide( t, p.x+1, p.y)) p.x++;
}

void pacHaut(Pacman& p, const Terrain& t)
{
	if (terEstPositionPersoValide( t, p.x, p.y+1)) p.y++;
}

void pacBas(Pacman& p, const Terrain& t)
{
	if (terEstPositionPersoValide( t, p.x, p.y-1)) p.y--;
}

int pacGetX(const Pacman& p)
{
	return p.x;
}

int pacGetY(const Pacman& p)
{
	return p.y;
}
